Bug 1794399 (CVE-2019-19966) - CVE-2019-19966 kernel: use-after-free in cpia2_exit in drivers/media/usb/cpia2/cpia2_v4l.c
Summary: CVE-2019-19966 kernel: use-after-free in cpia2_exit in drivers/media/usb/cpia...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-19966
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1794400
Blocks: 1794401
TreeView+ depends on / blocked
 
Reported: 2020-01-23 14:04 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-02-19 19:59 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the way the Linux kernel module, cpia2, handled camera connections. An attacker with physical access could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2020-02-18 13:54:45 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-01-23 14:04:47 UTC
In the Linux kernel before 5.1.6, there is a use-after-free in cpia2_exit() in drivers/media/usb/cpia2/cpia2_v4l.c that will cause denial of service.

Reference and upstream commit:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=dea37a97265588da604c6ba80160a287b72c7bfd

Comment 1 Guilherme de Almeida Suckevicz 2020-01-23 14:07:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1794400]

Comment 2 Justin M. Forbes 2020-01-23 19:11:23 UTC
This was fixed for Fedora in the 5.1.6 stable kernel update.

Comment 3 Alex 2020-02-18 13:45:04 UTC
Mitigation:

To mitigate this issue, prevent module cpia2 from being loaded. Please see https://access.redhat.com/solutions/41278 for how to blacklist a kernel module to prevent it from loading automatically.


Note You need to log in before you can comment on or make changes to this bug.